Bug 108667 - [CI][SHARDS] igt@drm_import_export@import-close-race-flink - timeout
Summary: [CI][SHARDS] igt@drm_import_export@import-close-race-flink - timeout
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-05 14:23 UTC by Martin Peres
Modified: 2019-03-06 18:29 UTC (History)
1 user (show)

See Also:
i915 platform: BYT, SKL
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-11-05 14:23:48 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4707/shard-skl1/igt@drm_import_export@import-close-race-flink.html

<6> [225.654627] Console: switching to colour dummy device 80x25
<6> [225.655743] [IGT] drm_import_export: executing
<6> [225.697706] [IGT] drm_import_export: starting subtest import-close-race-flink
<7> [228.081255] [drm:edp_panel_vdd_off_sync [i915]] Turning eDP port A VDD off
<7> [228.081627] [drm:edp_panel_vdd_off_sync [i915]] PP_STATUS: 0x80000008 PP_CONTROL: 0x00000007
<7> [228.081861] [drm:intel_power_well_disable [i915]] disabling DC off
<7> [228.082270] [drm:skl_enable_dc6 [i915]] Enabling DC6
<7> [228.082557] [drm:gen9_set_dc_state [i915]] Setting DC state from 00 to 02
<6> [588.200245] Console: switching to colour frame buffer device 300x100
Comment 1 Martin Peres 2018-11-13 15:13:41 UTC
Also seen on BYT: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_139/fi-byt-n2820/igt@drm_import_export@import-close-race-flink.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_139/fi-byt-clapper/igt@drm_import_export@import-close-race-flink.html

<6> [48.494774] Console: switching to colour dummy device 80x25
<6> [48.495387] [IGT] drm_import_export: executing
<6> [48.537651] [IGT] drm_import_export: starting subtest import-close-race-flink
<6> [448.869088] Console: switching to colour frame buffer device 170x48
Comment 2 Martin Peres 2018-11-22 10:32:13 UTC
Also seen on GLK: https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_10872/shard-glk9/igt@drm_import_export@import-close-race-flink.html
	
<6> [150.030987] Console: switching to colour dummy device 80x25
<6> [150.031091] [IGT] drm_import_export: executing
<6> [150.043768] [IGT] drm_import_export: starting subtest import-close-race-flink
<6> [510.169835] Console: switching to colour frame buffer device 240x67
Comment 3 Chris Wilson 2019-01-16 14:05:49 UTC
commit 08ac42b8c6892a9c8447ceefd931bc4394bef8fb (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jan 16 13:08:11 2019 +0000

    drm/drm_import_export: Replace imprecise loop-bound with timeout
    
    Use a specific timeout to exercise the race conditions, rather than a
    number of tries -- this prevents it burning up too many minutes under CI
    for little gain, we can just run it again to improve race detection.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108667
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Comment 4 Martin Peres 2019-03-06 18:29:05 UTC
(In reply to Chris Wilson from comment #3)
> commit 08ac42b8c6892a9c8447ceefd931bc4394bef8fb (HEAD, upstream/master)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Wed Jan 16 13:08:11 2019 +0000
> 
>     drm/drm_import_export: Replace imprecise loop-bound with timeout
>     
>     Use a specific timeout to exercise the race conditions, rather than a
>     number of tries -- this prevents it burning up too many minutes under CI
>     for little gain, we can just run it again to improve race detection.
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108667
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>

Thanks, it definitely did the trick!
Comment 5 CI Bug Log 2019-03-06 18:29:13 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.